Page MenuHomePhabricator

[MSan] add _nosanitize versions for memory intrinsic implementations
AbandonedPublic

Authored by glider on Dec 31 2018, 5:53 AM.

Details

Reviewers
eugenis
dvyukov
Summary

Instrumentation of memory intrinsics in non-instrumented functions should differ from that in instrumented functions.
This is done by calling versions of __msan_memXXX() functions with _nosanitize suffixes.

Diff Detail

Event Timeline

glider created this revision.Dec 31 2018, 5:53 AM
eugenis accepted this revision.Jan 2 2019, 1:07 PM

LGTM

This revision is now accepted and ready to land.Jan 2 2019, 1:07 PM
glider abandoned this revision.Jan 11 2019, 6:57 AM

We've decided to abandon this revision, as non-instrumented functions must still unpoison shadow.